# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::RenderQueueSorterStandard Class Reference

Implements the default RenderQueueSorter. More...

`#include <RenderQueueSorter.hpp>`

Inheritance diagram for vl::RenderQueueSorterStandard:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| RenderQueueSorterStandard ()
virtual bool | mightNeedZCameraDistance () const
virtual bool | confirmZCameraDistanceNeed (const RenderToken *a) const
virtual bool | operator() (const RenderToken *a, const RenderToken *b) const
EDepthSortMode | depthSortMode () const
void | setDepthSortMode (EDepthSortMode mode)

## Public Attributes

EDepthSortMode | mDepthSortMode

## Detailed Description

Implements the default RenderQueueSorter.

Sorts the RenderTokens by:

1. Actor render block
2. Effect render rank
3. Actor render rank
4. Solid objects first, translucent objects last
5. Sort translucent objects back-to-front
6. Sort solid objects by Shader
7. Sort solid objects by Renderable

Definition at line 144 of file RenderQueueSorter.hpp.

## Constructor & Destructor Documentation

vl::RenderQueueSorterStandard::RenderQueueSorterStandard | ( | ) | `[inline]`

Definition at line 148 of file RenderQueueSorter.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::RenderQueueSorterStandard::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderQueueSorter.

Definition at line 147 of file RenderQueueSorter.hpp.

virtual bool vl::RenderQueueSorterStandard::mightNeedZCameraDistance | ( | ) | const`[inline, virtual]`

Implements vl::RenderQueueSorter.

Definition at line 153 of file RenderQueueSorter.hpp.

virtual bool vl::RenderQueueSorterStandard::confirmZCameraDistanceNeed | ( | const RenderToken * | a ) | const`[inline, virtual]`

Implements vl::RenderQueueSorter.

Definition at line 154 of file RenderQueueSorter.hpp.

References vl::AlphaDepthSort, vl::AlwaysDepthSort, vl::Shader::blendingEnabled(), mDepthSortMode, vl::RenderToken::mShader, and vl::NeverDepthSort.

Referenced by operator()().

virtual bool vl::RenderQueueSorterStandard::operator() | ( | const RenderToken * | a,
|  | const RenderToken * | b
| ) |  | const`[inline, virtual]`

Implements vl::RenderQueueSorter.

Definition at line 160 of file RenderQueueSorter.hpp.

References vl::AlwaysDepthSort, vl::Shader::blendingEnabled(), confirmZCameraDistanceNeed(), vl::RenderToken::mActor, vl::RenderToken::mCameraDistance, mDepthSortMode, vl::RenderToken::mEffectRenderRank, vl::RenderToken::mRenderable, vl::RenderToken::mShader, vl::Actor::renderBlock(), and vl::Actor::renderRank().

EDepthSortMode vl::RenderQueueSorterStandard::depthSortMode | ( | ) | const`[inline]`

Definition at line 208 of file RenderQueueSorter.hpp.

References mDepthSortMode.

void vl::RenderQueueSorterStandard::setDepthSortMode | ( | EDepthSortMode | mode ) | `[inline]`

Definition at line 209 of file RenderQueueSorter.hpp.

References mDepthSortMode.

## Member Data Documentation

EDepthSortMode vl::RenderQueueSorterStandard::mDepthSortMode

Definition at line 212 of file RenderQueueSorter.hpp.

Referenced by confirmZCameraDistanceNeed(), depthSortMode(), operator()(), and setDepthSortMode().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/RenderQueueSorter.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:44.
Permission is granted to use this page to write and publish articles regarding Visualization Library.